Bug 250497 - eHCA infiniband adapter works only for IPoIB
Summary: eHCA infiniband adapter works only for IPoIB
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openib   
(Show other bugs)
Version: 5.1
Hardware: powerpc
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 250144 250496
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-01 22:00 UTC by Scott Moser
Modified: 2018-10-19 23:16 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0645
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:01:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libehca_user_space_support_for_rhel5.patch (5.12 KB, patch)
2007-08-01 22:00 UTC, Scott Moser
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0645 normal SHIPPED_LIVE OpenIB Infiniband enhancement update 2007-10-30 15:42:50 UTC

Description Scott Moser 2007-08-01 22:00:56 UTC
+++ This bug was initially created as a clone of Bug #250496 +++

Description of problem:

The eHCA driver has a problem with mapping userspace resources.  It's nicely
explained in the upstream git submission:
Some drivers have resources that they want to be able to map into
userspace that are 4k in size. On a kernel configured with 64k pages
we currently end up mapping the 4k we want plus another 60k of
physical address space, which could contain anything.  This can
introduce security problems, for example in the case of an infiniband
adaptor where the other 60k could contain registers that some other
program is using for its communications.

This is present in kernel-2.6.18-36.el5

Without these changes the eHEA driver will only function in IPoIB (IP over
Infiniband).  User space applications will fail to run (for example MPI). Its
primary value is thus not usable.

-- Additional comment from smoser@redhat.com on 2007-08-01 17:58 EST --
Created an attachment (id=160469)
ib_ehca_user_space_support_for_rhel5.patch

Comment 1 Scott Moser 2007-08-01 22:00:57 UTC
Created attachment 160470 [details]
libehca_user_space_support_for_rhel5.patch

Comment 7 errata-xmlrpc 2007-11-07 17:01:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0645.html



Note You need to log in before you can comment on or make changes to this bug.